package pl.edu.mimuw.xml.lab06;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class MyErrorHandler implements ErrorHandler {

	public void warning(SAXParseException e) throws SAXException {
		System.err.println("My WARNING " + e.getMessage());
	}

	public void error(SAXParseException e) throws SAXException {
		System.err.println("My ERROR " + e.getMessage());
		throw e;  // if you want to break parsing in case of a validation error; otherwise comment this line
	}

	public void fatalError(SAXParseException e) throws SAXException {
		System.err.println("My FATAL " + e.getMessage());
		throw e;
	}

}
